Confirm one agent payout with the owner's PIN
const url = 'https://api.xaalis.org/v1/public/agent-approvals/example/confirm';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"pin":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.xaalis.org/v1/public/agent-approvals/example/confirm \ --header 'Content-Type: application/json' \ --data '{ "pin": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Five-minute purpose-bound capability; keep out of logs and analytics
Five-minute purpose-bound capability; keep out of logs and analytics
Request Bodyrequired
Section titled “Request Bodyrequired”object
Examplegenerated
{ "pin": "example"}Responses
Section titled “ Responses ”Admitted or replayed payout
object
object
Example
{ "object": "payout", "provider": "wave", "status": "pending"}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Invalid PIN
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Incorrect PIN
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Approval unavailable or PIN locked
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Unknown or expired link
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Approval or policy changed
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Insufficient funds
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Rate limited
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.
Minimum seconds to wait before retrying. Takes precedence over the quota snapshot.
Retryable reservation failure
object
object
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example" }}Headers
Section titled “Headers”Present after quota evaluation: structured list of policy labels with q=request allowance and w=rolling-window seconds (IETF draft-ietf-httpapi-ratelimit-headers-11).
Present after quota evaluation: matching policy labels with r=remaining requests and t=effective-window seconds. Snapshot, not a guarantee; omitted when no quota was evaluated.